how-many-binary reports 0 all the time

Bug #1579125 reported by Samuel Cozannet on 2016-05-06
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
what-utils (Ubuntu)
High
Dustin Kirkland 
Xenial
High
Ubuntu Stable Release Updates Team

Bug Description

$ how-many-binary -a amd64 -r xenial
0

Regardless of all tags & arguments

== SRU ==

[IMPACT]

The how-many-binary command doesn't actually work, now that xenial is released and yakkety is open, as it used distro-info.

[TEST CASE]

$ how-many-binary
0

It should return something more like:

$ how-man-binary
53837

The fix is to use /etc/lsb-release instead of distro-info. Duh.

[REGRESSION POTENTIAL]
Negligible.

The patch is already committed upstream, and uploaded to yakkety.

=== modified file 'usr/bin/how-many-binary'
--- usr/bin/how-many-binary 2016-04-18 19:22:12 +0000
+++ usr/bin/how-many-binary 2016-05-06 15:48:52 +0000
@@ -20,7 +20,8 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.

 arch="amd64"
-release=$(distro-info --latest)
+. /etc/lsb-release 2>/dev/null || true
+release=$DISTRIB_CODENAME
 VERBOSE=0
 for i in $@; do
        case "$i" in
@@ -45,7 +46,7 @@

 case "$arch" in
        amd64|x86_64|*86)
- archive="archive.ubuntu.com"
+ archive="archive.ubuntu.com/ubuntu"
        ;;
        *)
                archive="ports.ubuntu.com"

Related branches

Changed in what-utils (Ubuntu):
assignee: nobody → Dustin Kirkland  (kirkland)
importance: Undecided → Critical
status: New → In Progress
Changed in what-utils (Ubuntu Xenial):
status: New → In Progress
Changed in what-utils (Ubuntu):
status: In Progress → Fix Committed
Changed in what-utils (Ubuntu Xenial):
importance: Undecided → High
Changed in what-utils (Ubuntu):
importance: Critical → High
Changed in what-utils (Ubuntu Xenial):
assignee: nobody → Dustin Kirkland  (kirkland)
milestone: none → xenial-updates
description: updated
Changed in what-utils (Ubuntu Xenial):
assignee: Dustin Kirkland  (kirkland) → Ubuntu Stable Release Updates Team (ubuntu-sru)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package what-utils - 1.4-0ubuntu1

---------------
what-utils (1.4-0ubuntu1) yakkety; urgency=medium

  * usr/bin/how-many-binary: LP: #1579125
    - fix url mangling

 -- Dustin Kirkland <email address hidden> Mon, 18 Apr 2016 14:22:12 -0500

Changed in what-utils (Ubuntu):
status: Fix Committed → Fix Released

Hello Samuel, or anyone else affected,

Accepted what-utils into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/what-utils/1.4-0ubuntu1~16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in what-utils (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Dustin Kirkland  (kirkland) wrote :

Fix confirmed:

kirkland@x250:/tmp⟫ sudo dpkg -i what-utils_1.4-0ubuntu1~16.04_all.deb
(Reading database ... 473146 files and directories currently installed.)
Preparing to unpack what-utils_1.4-0ubuntu1~16.04_all.deb ...
Unpacking what-utils (1.4-0ubuntu1~16.04) over (1.5-0ubuntu1) ...
Setting up what-utils (1.4-0ubuntu1~16.04) ...
Processing triggers for man-db (2.7.5-1) ...
kirkland@x250:/tmp⟫ how-many-source
26076
kirkland@x250:/tmp⟫ how-many-binary
53837

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package what-utils - 1.4-0ubuntu1~16.04

---------------
what-utils (1.4-0ubuntu1~16.04) xenial-proposed; urgency=medium

  * usr/bin/how-many-binary: LP: #1579125
    - fix url mangling

 -- Dustin Kirkland <email address hidden> Mon, 18 Apr 2016 14:22:12 -0500

Changed in what-utils (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for what-utils has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers